# Related software

## Editor integration

### [`github.com/andre-kotake/nvim-chezmoi`](https://github.com/andre-kotake/nvim-chezmoi)

A NeoVim plugin that integrates with chezmoi.

### [`github.com/alker0/chezmoi.vim`](https://github.com/alker0/chezmoi.vim)

Intelligent VIM syntax highlighting when editing files in your source directory.
Works with both `chezmoi edit` and editing files directly.

### [`github.com/tuh8888/chezmoi.el`](https://github.com/tuh8888/chezmoi.el)

Convenience functions for interacting with chezmoi in Emacs.

### [`github.com/Lilja/vim-chezmoi`](https://github.com/Lilja/vim-chezmoi)

A plugin for VIM to apply the dotfile you are editing on `:w`.

### [`github.com/xvzc/chezmoi.nvim`](https://github.com/xvzc/chezmoi.nvim)

Edit your chezmoi-managed files and automatically apply.

### [`https://github.com/GianniBYoung/chezmoi-telescope.nvim`](https://github.com/GianniBYoung/chezmoi-telescope.nvim)

Custom Telescope Picker for Chez Moi Managed Dot files.

## Other

### [`atuin.sh`](https://atuin.sh/)

Sync, search and backup shell history .

### [`github.com/b3nj5m1n/xdg-ninja`](https://github.com/b3nj5m1n/xdg-ninja)

A shell script which checks your $HOME for unwanted files and directories.

### [`github.com/hussainweb/ansible-role-chezmoi`](https://github.com/hussainweb/ansible-role-chezmoi)

Installs chezmoi on Ubuntu and Debian servers.

### [`github.com/johan-weitner/chezmoi-ui`](https://github.com/johan-weitner/chezmoi-ui)

A web UI for managing a list of apps to seed/feed a chezmoi setup.

### [`github.com/joke/asdf-chezmoi`](https://github.com/joke/asdf-chezmoi)

chezmoi plugin for asdf version manager.

### [`github.com/tcaxle/drapeau`](https://github.com/tcaxle/drapeau)

An add-on to synchronize your colorschemes across systems and allow easy
colorscheme switching using chezmoi templates.

### [`github.com/VorpalBlade/chezmoi_modify_manager`](https://github.com/VorpalBlade/chezmoi_modify_manager)

An add-on to deal with config files that contain a mix of settings and
transient state, such as with GUI program settings files also containing
recently used files and window positions.

### [`install.doctor`](https://install.doctor)

Desktop provisioning system.
